Categories:
  - Navigation
License: Apache-2.0
WebSite: https://organicmaps.app/
SourceCode: https://github.com/organicmaps/organicmaps
IssueTracker: https://github.com/organicmaps/organicmaps/issues
Changelog: https://github.com/organicmaps/organicmaps/releases
Liberapay: OrganicMaps
Bitcoin: bc1qjkq3tpy2gutsfdlcvys8slkempywk230u8rc8u
Litecoin: LfmSZ5yKBf17WwahZK9NEq5w2FLVap4Ctw

RepoType: git
Repo: https://github.com/organicmaps/organicmaps.git

Builds:
  - versionName: 2021.05.21-6-g6cfa29a770-FDroid
    versionCode: 21052106
    commit: '2021-05-21'
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.07-5-gd4d3b46566-FDroid
    versionCode: 21060705
    commit: '2021-06-07'
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.12-7-g75fd600f97-FDroid
    versionCode: 21061207
    commit: '2021-06-12'
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.20-6-g04b447e390-FDroid
    versionCode: 21062006
    commit: '2021-06-20'
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.06.23-9-gc3f05a1646-FDroid
    versionCode: 21062309
    commit: '2021-06-23'
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.07.04-16-g05a2bc44cf-FDroid
    versionCode: 21070416
    commit: 2021.07.04-2
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.07.08-6-g73931f7918-FDroid
    versionCode: 21070806
    commit: 2021.07.08-3
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.08.05-15-g31e5587abd-FDroid
    versionCode: 21080515
    commit: 2021.08.05-2-android
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.08.14-4-FDroid
    versionCode: 21081404
    commit: 0cd28c65c02342421a4cbc9eb5c270851dd06b1f
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.09.01-6-FDroid
    versionCode: 21090106
    commit: f8414535cf76bf3fb2b5a9775ae0218ee4d10d8a
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.09.14-4-FDroid
    versionCode: 21091404
    commit: 2fcbda119931dfca714d43e36d7857f908713fc4
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.10.22-10-FDroid
    versionCode: 21102210
    commit: 732f21ef4c566bc8f082f830de8028aad37d23c3
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.11.04-2-FDroid
    versionCode: 21110402
    commit: 407ac4199c4128d37e49cfc7dce74c0aa2fc3118
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2021.12.01-4-FDroid
    versionCode: 21120104
    commit: d289c40512afa2fb81be16ce68f72fddcb95897d
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r21e

  - versionName: 2022.01.12-6-FDroid
    versionCode: 22011206
    commit: a15c728bd1615893648641380fa81fd2d6953b58
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.01.15-3-FDroid
    versionCode: 22011503
    commit: 6b52f7775cc28ba856d441368acc14e9687a3978
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.02.16-29-FDroid
    versionCode: 22021629
    commit: 4bcd04db65ce146c15ba88ce9344129fa6b20104
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.02.19-1-FDroid
    versionCode: 22021901
    commit: ae7250b191ad6ce63709c991ce73934990a5f498
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.03.23-4-FDroid
    versionCode: 22032304
    commit: d7a49da141a1960b13bbe8016d1373549e4f0787
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.04.27-2-FDroid
    versionCode: 22042702
    commit: 5ac1b6cd1894b720c55d1a99c027fbeceb80cbea
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.05.24-2-FDroid
    versionCode: 22052402
    commit: ac4dea5bad8af9231c1b2ea0c41b34c147962030
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.05.31-10-FDroid
    versionCode: 22053110
    commit: 70fccbdfee4b8d48e9f08d7f683d417166dd7902
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r23b

  - versionName: 2022.06.18-2-FDroid
    versionCode: 22061802
    commit: b852ac84f929d3d31f8617d84879d342aefd0b71
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.06.29-3-FDroid
    versionCode: 22062903
    commit: 9a66b6e3aae4f23e142695cddb5c0565fdd6f526
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.07.01-6-FDroid
    versionCode: 22070106
    commit: 5260d7d9d305ed53a62940189e065a50cf272443
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        -e "/('Version/d" -e '/-FDroid/d' -e 's/ver.first/$$VERCODE$$/g' -e 's/ver.second/"$$VERSION$$"/g'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.07.27-3-FDroid
    versionCode: 22072703
    commit: 074526853331ab845ab9565bb6fb5456a4d14832
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        -e "/('Version/d" -e '/-FDroid/d' -e 's/ver.first/$$VERCODE$$/g' -e 's/ver.second/"$$VERSION$$"/g'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.08.23-5-FDroid
    versionCode: 22082305
    commit: 519f1ddc130467ca50786d024b68b07e4cf1ccd3
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        -e "/('Version/d" -e '/-FDroid/d' -e 's/ver.first/$$VERCODE$$/g' -e 's/ver.second/"$$VERSION$$"/g'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.09.15-5-FDroid
    versionCode: 22091505
    commit: 5f23e043cced6f432341d26f42d6c195b8517a12
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        -e "/('Version/d" -e '/-FDroid/d' -e 's/ver.first/$$VERCODE$$/g' -e 's/ver.second/"$$VERSION$$"/g'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.09.22-3-FDroid
    versionCode: 22092203
    commit: f9e68114774e3dfdd1f21112bfd552decb4a9d59
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - JAVA_HOME=/usr/lib/jvm/java-8-openjdk-amd64 $$SDK$$/tools/bin/sdkmanager 'cmake;3.18.1'
        > /dev/null
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        -e "/('Version/d" -e '/-FDroid/d' -e 's/ver.first/$$VERCODE$$/g' -e 's/ver.second/"$$VERSION$$"/g'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r24

  - versionName: 2022.11.02-2-FDroid
    versionCode: 22110202
    commit: 7b766b25076fa59b79873ddd2f84dc00b8f3f090
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25b

  - versionName: 2022.11.24-3-FDroid
    versionCode: 22112403
    commit: 7c1346de63116109654c2c0fe2b5a655bad3bf0c
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25b

  - versionName: 2022.12.18-12-FDroid
    versionCode: 22121812
    commit: fea9b81f1a7fa302db3588153248523592048e48
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25b

  - versionName: 2023.01.25-3-FDroid
    versionCode: 23012503
    commit: 3cbae4aa5cc5fd4f1d0ceb839a4dcc5f99371af9
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25b

  - versionName: 2023.02.13-11-FDroid
    versionCode: 23021311
    commit: 14e0f4be86fd5a87a247a70f603074120b83834a
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25b

  - versionName: 2023.03.05-5-FDroid
    versionCode: 23030505
    commit: 287d44923fbc2b3a93bd03ce2ca6bf19d07d8c84
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.04.02-7-FDroid
    versionCode: 23040207
    commit: f180fd4b785cd44a19ef8c91ed2e71062e72aaf5
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.05.08-7-FDroid
    versionCode: 23050807
    commit: fd0133d9f21fe08a81b43177c5aa322acee58252
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.06.04-13-FDroid
    versionCode: 23060413
    commit: acc7c0547db4285dd8841ae7f98811268e38d908
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.07.13-4-FDroid
    versionCode: 23071304
    commit: 094cbeba78ef76bf25d47a05958fc2f48a78117c
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.07.13-10-FDroid
    versionCode: 23071310
    commit: b52b42bd746fdb8daf05cc048f0b22654cfb9b8e
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.08.18-8-FDroid
    versionCode: 23081808
    commit: aa23f8e258dfb03ab3801ed563249fb5a7ca596b
    subdir: android
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /com.google.gms/d; /com.google.android.gms/d'
        build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        res/xml/network_security_config.xml
      - cp ../private_default.h ../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.09.22-27-FDroid
    versionCode: 23092227
    commit: 3fc5d227ff7131a993c8fafc09b8fe3249d9a6ab
    subdir: android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /gms/d' build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        src/main/res/xml/network_security_config.xml
      - cp ../../private_default.h ../../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r25c

  - versionName: 2023.11.17-17-FDroid
    versionCode: 23111717
    commit: 1a466dcec23ba554f5a32c67d1e41247ab6e2e47
    subdir: android/app
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y g++ ninja-build
      - apt-get install -t bullseye-backports cmake
      - apt-get install -y openjdk-17-jdk-headless
      - update-java-alternatives -a
    gradle:
      - fdroid
    rm:
      - iphone
      - qt
      - tools/shaders_compiler
      - xcode
    prebuild:
      - sed -i -e '/com.google.firebase/d; /gms/d' build.gradle
      - touch secure.properties
      - echo '<?xml version="1.0" encoding="utf-8"?><network-security-config/>' >
        src/main/res/xml/network_security_config.xml
      - cp ../../private_default.h ../../private.h
    scanignore:
      - data/*.bin
    scandelete:
      - 3party
    build:
      - cd ../../3party/boost
      - ./bootstrap.sh
      - ./b2 headers
    ndk: r26b

AutoUpdateMode: Version
UpdateCheckMode: Tags .*android$
UpdateCheckData: android/app/src/fdroid/play/version.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 2023.11.17-17-FDroid
CurrentVersionCode: 23111717
